#include "shortcutsplugin.h"

#include "shortcuts.h"

#include <QtCore/QtPlugin>


ShortcutsPlugin::ShortcutsPlugin(QObject * parent): QObject(parent) {
	m_initialized = false;
}


void ShortcutsPlugin::initialize(QDesignerFormEditorInterface * /* core */) {
	if (m_initialized) return;

	// Add extension registrations, etc. here

	m_initialized = true;
}


bool ShortcutsPlugin::isInitialized() const {
	return m_initialized;
}


QWidget * ShortcutsPlugin::createWidget(QWidget * parent) {
	return new Shortcuts(parent, false);
}


QString ShortcutsPlugin::name() const {
	return QLatin1String("Shortcuts");
}


QString ShortcutsPlugin::group() const {
	return QLatin1String("Editor Widgets");
}


QIcon ShortcutsPlugin::icon() const {
	return QIcon();
}


QString ShortcutsPlugin::toolTip() const {
	return QLatin1String("Shortcuts Edit");
}


QString ShortcutsPlugin::whatsThis() const {
	return QLatin1String("Shortcuts Edit");
}


bool ShortcutsPlugin::isContainer() const {
	return false;
}


QString ShortcutsPlugin::domXml() const {
	return QLatin1String("<widget class=\"Shortcuts\" name=\"shortcuts\">\n</widget>\n");
}


QString ShortcutsPlugin::includeFile() const {
	return QLatin1String("shortcuts.h");
}
